<?php
/**
 * Shop breadcrumb
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/global/breadcrumb.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woothemes.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.3.0
 * @see         woocommerce_breadcrumb()
 */

/**
 * Important! Strings with the7mk2 textdomain.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! empty( $breadcrumb ) ) {

	echo '<div class="assistive-text">' . esc_html__( 'You are here:', 'the7mk2' ) . '</div>';

	echo $wrap_before;

	foreach ( $breadcrumb as $key => $crumb ) {

		echo $before;

		$crumb_name = '<span itemprop="name">' . esc_html( $crumb[0] ) . '</span>';
		if ( ! empty( $crumb[1] ) && sizeof( $breadcrumb ) !== $key + 1 ) {
			echo '<a itemprop="item" href="' . esc_url( $crumb[1] ) . '" title="' . esc_attr( strip_tags( $crumb[0] ) ) . '">' . $crumb_name . '</a>';
		} else {
			echo $crumb_name;
		}

		echo '<meta itemprop="position" content="' . ($key + 1) . '" />';

		echo $after;

		if ( sizeof( $breadcrumb ) !== $key + 1 ) {
			echo $delimiter;
		}

	}

	echo $wrap_after;

}
